/** @format */
export declare class InitManager {
    protected promps: any;
    constructor();
    initSconfig(appPath: string): Promise<string>;
    initEnvConfig(appPath: string): Promise<void>;
    assemblySpecialApp(appName: any, { projectName, appPath }: {
        projectName: any;
        appPath: any;
    }): Promise<void>;
    executeInit(name: string, dir?: string, downloadurl?: boolean): Promise<{
        appPath: any;
    }>;
    gitCloneProject(name: string, dir?: string): Promise<unknown>;
    deploy(appPath: string): Promise<void>;
    init(name?: string, dir?: string): Promise<void>;
}
